#include <stdio.h>
#include <stdlib.h>
#include <math.h>

int main(int argc, char *argv[]) {
    char c1,c2;
    int a1,a2,i;
    scanf("%c %c",&c1, &c2);
    scanf("%d %d",&a1, &a2);
    if(a1>a2){
    if(a1-a2>1){
        printf("Nemoguce");
        return 0;
    	}
	}
	else if(a1<a2){
		if(a2-a1>1){
        printf("Nemoguce");
        return 0;
    	}
	}
    for(i=0;i<a1+a2;i++){
        if(i%2==0){
            printf("%c",c1);
        }
		else{
            printf("%c",c2);
        }
    }
    return 0;
}